MediaWiki:Common.css: Difference between revisions

From Teddy Bear Talk Support
Jump to navigation Jump to search
No edit summary
No edit summary
 
(3 intermediate revisions by the same user not shown)
Line 10: Line 10:
/*
/*
Below here are overrides to hide various MediaWiki links/tabs from logged-out users.
Below here are overrides to hide various MediaWiki links/tabs from logged-out users.
This works in conjunction with MediaWiki:Commons.js which applies the .user-logged-out class to the body tag.
This works in conjunction with MediaWiki:Commons.js which applies the .user-logged-in class to the body tag.
*/
*/


/* Sidebar: "Tools" */
/* Sidebar: "Tools" */
#p-tb { display: none; }
#p-tb { display: none; }
.user-logged-in #p-tb { display: inherit; }


/* Top right: "Log in" */
/* Top right: "Log in" */
nav#p-personal { display: none; }
nav#p-personal { display: none; }
.user-logged-in nav#p-personal { display: inherit; }


/* Top left tabs: "Main", "Discussion" */
/* Top left tabs: "Main", "Discussion" */
div#left-navigation { display: none; }
div#left-navigation { display: none; }
.user-logged-in div#left-navigation { display: inherit; }


/* Top right tabs: "Read", "View source", "View history" */
/* Top right tabs: "Read", "View source", "View history" */
#p-views { display: none; }
#p-views { display: none; }
.user-logged-in #p-views { display: inherit; }
/* Bottom links: "Privacy policy", "About", "Disclaimers" */
#footer-places { display: none; }
/* Bottom icons: CC, Powered by MediaWiki */
#footer-icons { display: none; }

Latest revision as of 16:26, 23 February 2026

/* CSS placed here will be applied to all skins */
body { font-size: 23px; }

img.halfwidth {
  width: 50% !important;
  height: auto;
  display: block;
}

/*
Below here are overrides to hide various MediaWiki links/tabs from logged-out users.
This works in conjunction with MediaWiki:Commons.js which applies the .user-logged-in class to the body tag.
*/

/* Sidebar: "Tools" */
#p-tb { display: none; }
.user-logged-in #p-tb { display: inherit; }

/* Top right: "Log in" */
nav#p-personal { display: none; }
.user-logged-in nav#p-personal { display: inherit; }

/* Top left tabs: "Main", "Discussion" */
div#left-navigation { display: none; }
.user-logged-in div#left-navigation { display: inherit; }

/* Top right tabs: "Read", "View source", "View history" */
#p-views { display: none; }
.user-logged-in #p-views { display: inherit; }

/* Bottom links: "Privacy policy", "About", "Disclaimers" */
#footer-places { display: none; }

/* Bottom icons: CC, Powered by MediaWiki */
#footer-icons { display: none; }